﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace DBTest
{
	class Program
	{
		static void Main(string[] args)
		{
			try
			{
				List<string> recipients = new List<string>();
				recipients.Add("you@domain.com");
				
				Smtp4Ses.Models.Smtp4SesEntities ent = new Smtp4Ses.Models.Smtp4SesEntities();

				Smtp4Ses.Models.Log log = new Smtp4Ses.Models.Log();
				log.EmailAddressId = 1;
				log.From = "me@domain.com";
				log.Data = null;
				ent.Logs.AddObject(log);

				foreach (var recipient in recipients)
				{
					Smtp4Ses.Models.LogRecipient r = new Smtp4Ses.Models.LogRecipient();
					r.Recipient = recipient;
					log.LogRecipients.Add(r);
				}

				ent.SaveChanges();

				Console.WriteLine("Log.LogId = {0}", log.LogId);
			}
			catch (Exception ex)
			{
				Console.WriteLine("{0}", ex.InnerException.Message);
			}
		}
	}
}
